summaryrefslogtreecommitdiffstats
path: root/rescue
diff options
context:
space:
mode:
authorOlivier Blin <oblin@mandriva.com>2007-07-06 10:14:29 +0000
committerOlivier Blin <oblin@mandriva.com>2007-07-06 10:14:29 +0000
commit3a794001722f823e7e578588c7c9ccf15b15a10a (patch)
treeaa27bf657b08520db7e8e59aa726f3f9d5d48fa1 /rescue
parent5794affd4ae8e2cb0c91843d127d33997fe4db09 (diff)
downloaddrakx-3a794001722f823e7e578588c7c9ccf15b15a10a.tar
drakx-3a794001722f823e7e578588c7c9ccf15b15a10a.tar.gz
drakx-3a794001722f823e7e578588c7c9ccf15b15a10a.tar.bz2
drakx-3a794001722f823e7e578588c7c9ccf15b15a10a.tar.xz
drakx-3a794001722f823e7e578588c7c9ccf15b15a10a.zip
add some details about the upgrade progress
Diffstat (limited to 'rescue')
-rwxr-xr-xrescue/Flash/scripts/upgrade19
1 files changed, 19 insertions, 0 deletions
diff --git a/rescue/Flash/scripts/upgrade b/rescue/Flash/scripts/upgrade
index 5d61a262c..28bb21ebf 100755
--- a/rescue/Flash/scripts/upgrade
+++ b/rescue/Flash/scripts/upgrade
@@ -25,6 +25,9 @@ config_files_to_remove="etc/sysconfig/harddrake2"
function prepare() {
+ echo "Mounting Mandriva Flash key..."
+ echo
+
modprobe unionfs > /dev/null 2>&1
modprobe squashfs > /dev/null 2>&1
modprobe loop > /dev/null 2>&1
@@ -49,6 +52,9 @@ function prepare() {
function get_existing_rpms() {
+ echo "Getting list of installed packages..."
+ echo
+
mount -t squashfs -o loop $sfs_loop $tmpdir/squash > /dev/null 2>&1
if [ $? -ne 0 ]; then
echo "Error mounting distrib.sqfs"
@@ -95,6 +101,9 @@ function move_files() {
function remove_non_user_nor_config_files() {
+ echo "Filtering system configuration files and user accounts..."
+ echo
+
cd $tmpdir/user
rm -rf $config_files_to_remove
@@ -125,6 +134,11 @@ function remove_non_user_nor_config_files() {
}
function copy_new_version() {
+
+ echo "Copying new Mandriva Flash system..."
+ echo "(this can take some dozens of minutes)"
+ echo
+
rm -rf $rootdir$boot_rel
rm -f $rootdir$loopbacks_rel/.*sqf
rm -f $rootdir$loopbacks_rel/.*sqfs
@@ -140,6 +154,9 @@ function copy_new_version() {
function merge_config_files() {
+ echo "Merging user and group accounts in new system..."
+ echo
+
mount -t squashfs -o loop $sfs_loop $tmpdir/squash > /dev/null 2>&1
if [ $? -ne 0 ]; then
echo "Error mounting distrib.sqfs"
@@ -192,6 +209,8 @@ sfs_loop="$rootdir$loopbacks_rel/distrib.sqfs"
modules_dir="$rootdir$loopbacks_rel/modules"
+echo
+
if ! prepare; then
cleanup
exit 1